# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(List/Util.pm) perl(Method/Signatures.pm) perl(Parse/ABNF.pm) perl(Readonly.pm) perl(Regexp/Grammars.pm) perl(Storable.pm) perl(Test/More.pm) perl(re.pm)
# END SourceDeps(oneline)
%define module_version 0.08
%define module_name ABNF-Grammar
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Validator and generator module for ABNF grammars
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NY/NYAAPA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module parses IETF ABNF (STD 68, RFC 5234, 4234, 2234) grammars
via Parse::ABNF and provides tools to :

=over 4

=item * verify validity of string

=item * generate valid messages

=item * generate invalid messages

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%changelog
* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

